#ifndef TRPATCH_H_INCLUDED
#define TRPATCH_H_INCLUDED

#include <trng_core.h>

void Patch_InitialiseSlot(short item_number, int slots);
void Patch_CreatureDie(short item_number, BOOL explode);
void Patch_LaraAboveWater(ITEM_INFO* lara, COLL_INFO* coll);
void Patch_AnimatePistols(int weapon_type);
void Patch_PistolsHandler(int weapon_type);
void Patch_ShotgunHandler(int weapon_type);
void Patch_LaraTargetInfo(WEAPON_INFO* winfo);
void Patch_AddFootprint(ITEM_INFO* item);
void Patch_LaraGun(void);

#endif